Loading...
Searching...
No Matches
pcl::ConstCloudIterator< PointT >::ConstIteratorIdx Class Reference

`#include <pcl/impl/cloud_iterator.hpp>`

## Public Member Functions

| ConstIteratorIdx (const PointCloud< PointT > &cloud, const Indices &indices)
| ConstIteratorIdx (const PointCloud< PointT > &cloud, const PointIndices &indices)
| ~ConstIteratorIdx () override=default
void | operator++ () override
void | operator++ (int) override
const PointT & | operator* () const override
const PointT * | operator-> () const override
unsigned | getCurrentPointIndex () const override
unsigned | getCurrentIndex () const override
std::size_t | size () const override
void | reset () override
bool | isValid () const override

## Detailed Description

template<typename PointT>
class pcl::ConstCloudIterator< PointT >::ConstIteratorIdx

Author
  Suat Gedikli

Definition at line 252 of file cloud_iterator.hpp.

## Constructor & Destructor Documentation

## ConstIteratorIdx() [1/2]

template<typename PointT>

pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::ConstIteratorIdx | ( | const PointCloud< PointT > & | cloud,
|  | const Indices & | indices )

inline

Definition at line 255 of file cloud_iterator.hpp.

## ConstIteratorIdx() [2/2]

template<typename PointT>

pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::ConstIteratorIdx | ( | const PointCloud< PointT > & | cloud,
|  | const PointIndices & | indices )

inline

Definition at line 263 of file cloud_iterator.hpp.

## ~ConstIteratorIdx()

template<typename PointT>

pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::~ConstIteratorIdx | ( |  | ) |

override default

## Member Function Documentation

## getCurrentIndex()

template<typename PointT>

unsigned pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::getCurrentIndex | ( |  | ) | const

inline override

Definition at line 298 of file cloud_iterator.hpp.

## getCurrentPointIndex()

template<typename PointT>

unsigned pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::getCurrentPointIndex | ( |  | ) | const

inline override

Definition at line 293 of file cloud_iterator.hpp.

## isValid()

template<typename PointT>

bool pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::isValid | ( |  | ) | const

inline override

Definition at line 313 of file cloud_iterator.hpp.

## operator*()

template<typename PointT>

const PointT & pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::operator* | ( |  | ) | const

inline override

Definition at line 283 of file cloud_iterator.hpp.

## operator++() [1/2]

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::operator++ | ( |  | ) |

inline override

Definition at line 273 of file cloud_iterator.hpp.

## operator++() [2/2]

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::operator++ | ( | int |  | ) |

inline override

Definition at line 278 of file cloud_iterator.hpp.

## operator->()

template<typename PointT>

const PointT * pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::operator-> | ( |  | ) | const

inline override

Definition at line 288 of file cloud_iterator.hpp.

## reset()

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::reset | ( |  | ) |

inline override

Definition at line 308 of file cloud_iterator.hpp.

## size()

template<typename PointT>

std::size_t pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::size | ( |  | ) | const

inline override

Definition at line 303 of file cloud_iterator.hpp.

The documentation for this class was generated from the following file:

- pcl/impl/cloud_iterator.hpp